libzypp 17.37.10

ExternalDataSource.cc File Reference
`#include <errno.h>`
`#include <unistd.h>`
`#include <sys/wait.h>`
`#include <fcntl.h>`
`#include <iostream>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sstream>`
`#include <string>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/ExternalDataSource.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::externalprogram

## Macros
#define | _GNU_SOURCE 1

## Macro Definition Documentation

## ◆ _GNU_SOURCE

#define _GNU_SOURCE 1

Definition at line 13 of file ExternalDataSource.cc.